<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The relationships collection describes the relationships in which container managed persistence entity beans and dependent objects participate. The relationships element contains an optional description; a list of ejb-entity-ref elements (references to entity beans that participate in container managed relationships but whose abstract persistence schemas are not included in the ejb-jar file);  and a list of ejb-relation elements, which specify the container managed relationships.">
<meta name="KeyWords" content="relationshipList,Role relationshipList,j2ee,model j2ee,">
<a href="../root.html" target=_top><IMG SRC="../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b><IMG SRC="../webviewer/pub.gif"BORDER=0>relationshipList,&nbsp;role&nbsp;for&nbsp;Element&nbsp;<a href="../cat39ee0e7f014d/cat3780e272032d/class39bef81703b3.htm" target="contents_frame">Relationships</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;relationships&nbsp;collection&nbsp;describes&nbsp;the&nbsp;relationships&nbsp;in&nbsp;which&nbsp;container&nbsp;managed&nbsp;persistence&nbsp;entity&nbsp;beans&nbsp;and&nbsp;dependent&nbsp;objects&nbsp;participate.&nbsp;The&nbsp;relationships&nbsp;element&nbsp;contains&nbsp;an&nbsp;optional&nbsp;description;&nbsp;a&nbsp;list&nbsp;of&nbsp;ejb-entity-ref&nbsp;elements&nbsp;(references&nbsp;to&nbsp;entity&nbsp;beans&nbsp;that&nbsp;participate&nbsp;in&nbsp;container&nbsp;managed&nbsp;relationships&nbsp;but&nbsp;whose&nbsp;abstract&nbsp;persistence&nbsp;schemas&nbsp;are&nbsp;not&nbsp;included&nbsp;in&nbsp;the&nbsp;ejb-jar&nbsp;file);
<BR>and&nbsp;a&nbsp;list&nbsp;of&nbsp;ejb-relation&nbsp;elements,&nbsp;which&nbsp;specify&nbsp;the&nbsp;container&nbsp;managed&nbsp;relationships.</font><BR><BR>
</body>
</html>
